using System;

namespace Global
{
	/// <summary>
	/// Summary description for Question.
	/// </summary>
	public class Question
	{
		public Question( string a_task )
		{
			task = a_task;
		}

		private string task;

		public string Task 
		{
			get 
			{
				return task;
			}
		}

	}

	public class MultipleChoice : Question 
	{
		public MultipleChoice ( string a_task, string [] a_answers, int a_correct ) : base(a_task) 
		{
			answers = a_answers;
			correct = a_correct;
		}

		private string [] answers;
		private int correct;

		public string Answer ( int i ) 
		{
			return answers[i];
		}

		public int CorrectAnswer 
		{
			get 
			{
				return correct;
			}
		}

	}
}
